Subject: bug#69756: closed (Re: [bug#69756] [PATCH gnome-team 1/1] gnu: libgda: Disable failing tests.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 16 Mar 2024 11:02:02 +0000

Your bug report

#69756: [PATCH gnome-team 0/1] Fix libgda for gnome-team

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69756: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69756
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#69756] [PATCH gnome-team 1/1] gnu: libgda: Disable failing tests.
From: Christopher Baines <[email-masked]>
To: Liliana Marie Prikler <[email-masked]>
Cc: [email-masked], Vivien Kraus <[email-masked]>, [email-masked]
Date: Sat, 16 Mar 2024 11:00:05 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Liliana Marie Prikler <[email-masked]> writes:

> Am Dienstag, dem 12.03.2024 um 19:03 +0100 schrieb Vivien Kraus:
>> Le mardi 12 mars 2024 à 18:59 +0100, Liliana Marie Prikler a écrit :
>> > > +Has been difficutl to reproduce the problem when this test
>> > > +is running in Ci, so disabling until we can re-implement it
>> > > +is the better choice
>> > I assume the spelling is [sic]?
>>
>> Correct, I would consider it rude to reword a commit that was
>> accepted by another project. Although it’s the first time I’m facing
>> this situation, so maybe the etiquette says something different.
>
> Well, we indeed prefer upstreamed patches, but some upstreams also add
> their fixes on top of such patches, which we'd have to incorporate as
> well in this case.  In the case of libgda, it does however seem that
> this is the newest modification to those files, so my worries were
> somewhat unfounded.

Thanks both, I've pushed this to gnome-team as
64785a7941b5544f80c7f9cd286452fba296596a.

Chris

Subject: [PATCH gnome-team 0/1] Fix libgda for gnome-team
From: Vivien Kraus <[email-masked]>
To: [email-masked]
Date: Tue, 12 Mar 2024 18:13:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Guix,

libgda fails to build:

https://gitlab.gnome.org/GNOME/libgda/-/issues/269

However, some time ago, the maintainers discovered that this specific test was
a pain to maintain, so they disabled it:

https://gitlab.gnome.org/GNOME/libgda/-/commit/c0bb1ed662011207ee13d5a20a70f9b55166aa13

I just imported the patch as-is.

Best regards,

Vivien

Vivien Kraus (1):
  gnu: libgda: Disable failing tests.

 gnu/local.mk                                  |  1 +
 gnu/packages/gnome.scm                        |  1 +
 .../libgda-disable-data-proxy-test.patch      | 59 +++++++++++++++++++
 3 files changed, 61 insertions(+)
 create mode 100644 gnu/packages/patches/libgda-disable-data-proxy-test.patch

base-commit: 2ee54513196bad8e663e78ac695b6ffa0da49051
-- 
2.41.0